
! Offset cumulative distribution for normal law
! Call with negative x sets epsilon to abs(x)

      real function gaussCvf(x)

      implicit none
      real x, epsilon, erfc
      save epsilon
      data epsilon /0./

      if (x .lt. 0) then
         epsilon = - x
         gaussCvf = 0.
      else
         gaussCvf = 0.5 * erfc(x/sqrt(2.)) - epsilon
      endif

      end
